#include <iostream>
#include <windows.h>
#include "mainappli.hpp"
using std::cout;
using std::endl;

typedef int (*API_PrintInfo)(Print printout);

void method(int val)
{
	cout << val << endl;
}

int main(void)
{
	HMODULE hmod;
	hmod = LoadLibrary("Plugin.dll");

	API_PrintInfo PrintInfo;
	PrintInfo = (API_PrintInfo)GetProcAddress(hmod, "PrintInfo");

	if (PrintInfo != NULL) {
		PrintInfo(method);
	}

	FreeLibrary(hmod);
	return 0;
}
